Subject: Policy control for RSVP

From: Kaustubh Phanse <[email-masked]>
Date: Mon, 2 Jul 2001 19:48:29 -0400 (EDT)

Re-sending the message (please see below) that I had sent a few
days back. Did not really receive any response...so I am not sure if my
query was too naive?! But, either way, I would be grateful if someone
could please help me with this. Even after reading the RFCs/drafts, its 
still not clear why/whether there is a need for policy control on BOTH the
PATH and RESV messages for a given RSVP flow. 

Thank you very much.
regards
Kaustubh

-----------------------------------------------------------------------------
On Fri, 22 Jun 2001, Kaustubh Phanse wrote:

> 
> 	Just wanted to clarify my understanding of the policy
> control/processing of PATH and RESV messages.
> 
> 	To successfully implement policy-based admission control, during
> the initiation of an RSVP reservation, is it really "necessary" to enforce
> policy control on both PATH and RESV messages? I understand that policy
> elements in PATH message can be used to authenticate users/applications
> and the corresponding Tspec. But this may be achieved even by
> policy control of the RESV message. So, even if PEP on the sender side
> does not perform any policy-based admission control on an "invalid" PATH
> message and lets it flow to the receiver, the PEP on the receiver-side
> should be able to "reject" the resulting "invalid" RESV message...right?
> And hence such a policy framework should still work? Is there a scenario
> where this is NOT the case and policy control on both PATH and RESV
> message is "critical" for successful enforcement of PAC.
> 
> Please forgive my ignorance on this topic! :) Any comments/clarifications
> are more than welcome.
> 
> Thanks in advance.
> sincerely,
> Kaustubh 
> -----------------------------------------------------------------------------
>  Kaustubh S. Phanse					  [email-masked]
>  PhD student				       http://www.ee.vt.edu/~kphanse
>  Alexandria Research Institute
>  Electrical & Computer Engineering Department		               
>  Virginia Polytechnic Institute & State University 
> -----------------------------------------------------------------------------
> 
> 
>